Get group details
Returns group details.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/groups/{id}
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Group ID |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/groups/{id}");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/groups/{id}', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/groups/{id}"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/groups/{id}" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": { "id": "elxJK6", "title": "My Test Group", "recipient_count": 6, "active_subscribers": 4, "unsubscribed_count": 1, "bounced_count": 1, "phone_count": 1, "active_phone_count": 1, "account_id": "eEqqve", "user_id": "egp79a", "created": "2022-06-02 09:56:05", "modified": "2023-09-07 04:43:57", "is_recalculating_subscribers": false }}